%include	/usr/lib/rpm/macros.perl
Summary:	INN spam filter
Summary(pl.UTF-8):	Filtr spamu dla INN-a
Name:		cleanfeed
Version:	20100602
Release:	1
License:	Artistic v2.0
Group:		Networking/Daemons
#originally:	http://www.bofh.it/~md/cleanfeed/%{name}-%{src_ver}.tgz
# later maintained version:
#Source0Download: http://www.mixmin.net/cleanfeed/install.html
Source0:	http://www.mixmin.net/cleanfeed/%{name}.tar.gz
# Source0-md5:	8e14b5e306a9f875b8fcd6488584675a
Source1:	%{name}.8
Patch0:		%{name}-conf.patch
URL:		http://www.mixmin.net/cleanfeed/
BuildRequires:	rpm-perlprov
Requires:	perl-Digest-MD5
Conflicts:	inn < 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/news

%description
Cleanfeed is an automatic filter for INN that removes spam from
incoming newsfeeds.

%description -l pl.UTF-8
Automatyczny filtr spamu dla serwera news INN. Usuwa spam z
przychodzących "feedów".

%prep
%setup -q -n %{name}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir}/man8,%{_datadir}/news/filter}

install -p etc/bad_* etc/cleanfeed.local $RPM_BUILD_ROOT%{_sysconfdir}

install -p cleanfeed $RPM_BUILD_ROOT%{_datadir}/news/filter/filter_innd.pl
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bad_adult_paths
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bad_body
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bad_cancel_paths
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bad_from
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bad_groups
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bad_hosts
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bad_paths
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bad_subject
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bad_url
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cleanfeed.local
%{_datadir}/news/filter/filter_innd.pl
%{_mandir}/man8/cleanfeed.8*
%changelog
* Thu Jun 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cleanfeed.git;a=log;h=master

* Wed Jun 19 2013 Jakub Bogusz <qboosh@pld-linux.org> bb81b04
- new URLs, updated to 20100602
- updated conf patch

* Sat Jun 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 9a9d588
- enhanced conf patch: provide sane paths in cleanfeed.local
- release 3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c1e9fda
- dropped pre-cvs changelog

* Tue Aug 12 2008 Paweł Gołaszewski <blues@pld-linux.org> fafd015
- rel.2

* Tue Aug 12 2008 Paweł Gołaszewski <blues@pld-linux.org> 74370a5
- taken from old sources

* Tue Aug 12 2008 Paweł Gołaszewski <blues@pld-linux.org> 3a10c86
- recent cleanfeed fixes

* Tue Aug 12 2008 Paweł Gołaszewski <blues@pld-linux.org> 75d16c1
- 20080809 - massive attack

* Tue Aug 12 2008 Paweł Gołaszewski <blues@pld-linux.org> 13d6a77
- removed old chunks

* Tue Aug 12 2008 Paweł Gołaszewski <blues@pld-linux.org> 8ab8765
- adjusted for new snap

* Tue Aug 12 2008 Paweł Gołaszewski <blues@pld-linux.org> 4771dec
- rel.15

* Thu Aug 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> de89605
- release 14

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 52d73b1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5d7b66f
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 1389866
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> f73be6f
- adapterized (sorted %verify flags)

* Sun Jun 05 2005 zbyniu <zbyniu@pld-linux.org> a61beb1
- BR: rpm-perlprov

* Mon May 30 2005 zbyniu <zbyniu@pld-linux.org> a35ec4e
- BR: perl-base

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> a509230
- release 13

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> b4624d1
- caps unification, other cosmetics

* Tue Aug 26 2003 Tomasz Pala <gotar@pld-linux.org> 9bfa2a4
- no // in paths, sort, white space cleaning

